cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
2912
Views
10
Helpful
14
Replies
Collaborator

Ask the expert: IOS Upgrade on Catalyst Switches 2900, 3500 and 3700 - Easy as Pi

This topic is a chance to discuss more about how to upgrade the IOS version on Cisco Catalyst Switches Series 2960, 3560 and 3750. Learn more about why it is recommended to regularly upgrade the IOS of the Cisco appliances and how it is possible to do it right since the first time. Ask about different methods and best practices to upgrade IOS on Cisco Catalyst Switches.are easy to set up, however, inner workings and predicting the network reconverge might be a challenge specially in failover scenarios.

 

To participate in this event, please use the Join the Discussion : Cisco Ask the Expert button below to ask your questions

Ask questions from Monday, November 15 to November 23rd, 2016

Featured Expert

Leo Laohoo is a network engineer. Leo specializes in wireless and LAN/WAN technologies. He previously worked with EDS (today HP) and SITA/Equant, he holds a Colleague Degree in Business Management and a CCNA.

On his free time, Leo enjoys participating in the Cisco Support Community, he states that it is a “TWO-way street”. He is one of the top Cisco Designated VIPs and a member of the elite Cisco Support Community Hall of Fame program. The Cisco Support Community is a place where you can help someone else and at the same time learn from other people’s responses their responses to you answers.answers.

Leo might not be able to answer each question due to the volume expected during this event. Remember that you can continue the conversation on the  Contact Center Community 

Find other  https://supportforums.cisco.com/expert-corner/knowledge-sharing.

**Ratings Encourage Participation! **
Please be sure to rate the Answers to Questions

      

14 REPLIES 14
Beginner

Hello Team,

Hello Team,

I had registered the event but how can i join.could you please assist

Highlighted
Cisco Employee

You would have got the email

You would have got the email to join the webcast.

Community Manager

Hello all, this Ask the VIP

Hello all, this Ask the VIP event is to give an opportunity to ask Leo Laohoo any questions from the Live Webcast conducted yesterday.

If you could not attend, here are the recording and the slides. 

    

Beginner

is there a way to download

is there a way to download the video presentation for offline viewing?

Community Manager

Hello Stefan,

Hello Stefan,

we don't have the capability to provide offline video viewing.

Kind Regards,

Monica

Beginner

did I miss the show

did I miss the show

Collaborator

Hi Kevin Smith, we are sorry

Hi Kevin Smith, we are sorry to read you didn’t have the opportunity to join this event. However, you can review the slides for this presentation in the following link: https://supportforums.cisco.com/document/13163661/webcast-vip-slides-ios-upgrade-catalyst-switches-2900-3500-and-3700-easy-pi 

And in the following days you will be able to check out the recording on the event site: https://supportforums.cisco.com/event/13156326/webcast-event-ios-upgrade-catalyst-switches-2900-3500-and-3700-easy-pi

Community Manager

Hello Leo,

Hello Leo,

Thank you so much for such an outstanding presentation. It was fantastic. There were few questions that we did not have time to go to. I am posting them here so that you answer them, when you have a chance.

Community Manager

How long does it take to

¬Does Cisco Prime Infrastructure 2.2 and later always use the recommended 'archive download-sw' command? Any advice presenter might have on using CPI?¬

Hall of Fame Community Legend

Ok, I need to be careful here

Ok, I need to be careful here.  

Before I respond to this question, I would like to remind readers that I do not work for Cisco.

One good thing about upgrading using PI is that the entire process, upload of the IOS to the appliance(s) and the reboot, can all be scheduled, however, upgrading an IOS of switches in a stack using early versions of Cisco Prime Infrastructure can be a "challenge".  

Note the following: 

1.  For users who are planning to use PI, ensure that the BIN file was successfully extracted/unpacked into the correct appliance first BEFORE scheduling a reboot.  

2.  Read the Release Notes for PI and the IOS.   PI will have a comprehensive list of supported switches.  

Community Manager

­What are the problems and

­What are the problems and disadvantages if someone do not upgrade IOS?­

Hall of Fame Community Legend

What are the problems and

What are the problems and disadvantages if someone do not upgrade IOS?­

This question is not easy to answer.

I upgrade our appliances regularly and some times it us due to problems we've encountered.  A good example is Tracebacks found in the logs.   (Personally, I equate Traceback(s) to an IOS bug.)    Whenever I see Tracebacks in our logs, I try to determine what is causing or triggering the Tracebacks.  And most of it can eliminated by updating the IOS of the appliance. 

So the answer the question, I recommend an IOS upgrade if there are problems found in the network.  Some people take a risk assessment and weigh the options and some find logic behind keeping an appliance up for more than one year and running an old IOS justifiable.  As what I'd like to say, "whatever floats your boat".  

Whenever I see people post in the forum about crashes and presence of Tracebacks in the logs, the first question I will always ask is "what IOS version is the appliance running on".  And 9 out of 10 responses the appliance are running some ancient form of version which has "outlived" the configuration and capabilities it's meant to do. 

The "worst" disadvantage I hope I won't ever encounter is someone or some group will use known security vulnerability and then target the LAN/WAN appliances as a "single point of entry".  I can't have that risk therefore I keep up with the Cisco's Security Bulletin and thoroughly ensure the IOS of the LAN/WAN appliances I manage are regularly updated.

Beginner

Hi,

Hi,

I put my problem on the forum, but expert advice would be very, very valuable to me.

I need to make upgrade IOS on stack 2 x WS-C2960X-48TD-L, from version 15.0 (2) EX5 to version 15.2.2-E5. I chose the easy way by Cisco Network Assistant (.tar file).

Unfortunately, the upgrade fails with the error. Interestingly, in the column "Device type” CNA reports ... WS-C3750 Stack (?).

What can be the cause of the error?:

1. Upgrade by CNA?
2. Invalid IOS file (for wrong device)?
3. No pay for the IOS file (my provider said, that I have the right to download upgrade file)?
4. Other reason?

 

Hall of Fame Community Legend

I put my problem on the forum

I put my problem on the forum

And I have responded to your post in the other thread.  

My WebEx session talks about doing the upgrade using CLI and not Cisco Network Assistant (CNA).  

My recommendation is to use CLI as it's more accurate.

CreatePlease to create content
Content for Community-Ad
July's Community Spotlight Awards